Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface ModelChangedListener

All Known Implementing Classes:
  ChangedListener, NullListener, ObjectListener, StatementListener

    public interface ModelChangedListener

The interface for classes that listen for model-changed events. In all cases, the argument is [a copy of] the item that has been presented to the model, or its underlying graph, for addition or removal. For an add, the item [or parts of that item] may have already been present in the model; for remove, the item [or parts of it] need not have been absent from the item.

NOTE that the listener is supplied with more-or-less faithful copies of the original items that were added to, or removed from, the model. In particular, graph-level updates to the model appear as statements, not triples.

Author:
  kers (design by andy & the team)

Method Summary
`void` | `addedStatement(Statement s)` Method to call when a single statement has been added to the attached model.
`void` | `addedStatements(java.util.List statements)` Method to call when a list of statements has been added to the attached model.
`void` | `addedStatements(Model m)` Method to call when a model has been used to define the statements to be added to our attached model.
`void` | `addedStatements(Statement[] statements)` Method to call when an array of statements has been added to the attached model.
`void` | `addedStatements(StmtIterator statements)` Method to call when a statement iterator has supplied elements to be added to the attached model.
`void` | `notifyEvent(Model m, java.lang.Object event)`
`void` | `removedStatement(Statement s)` Method to call when a single statement has been removed from the attached model.
`void` | `removedStatements(java.util.List statements)` Method to call when a list of statements has been deleted from the attached model.
`void` | `removedStatements(Model m)` Method to call when a model has been used to remove statements from our attached model.
`void` | `removedStatements(Statement[] statements)` Method to call when an array of statements has been removed from the attached model.
`void` | `removedStatements(StmtIterator statements)` Method to call when a statement iterator has been used to remove statements from the attached model.

Method Detail

### addedStatement

    void addedStatement(Statement s)

  Method to call when a single statement has been added to the attached model.

  Parameters:
    `s` - the statement that has been presented for addition.

### addedStatements

    void addedStatements(Statement[] statements)

  Method to call when an array of statements has been added to the attached model. NOTE. This array need not be == to the array added using Model::add(Statement[]).

  Parameters:
    `statements` - the array of added statements

### addedStatements

    void addedStatements(java.util.List statements)

  Method to call when a list of statements has been added to the attached model. NOTE. This list need not be == to the list added using Model::add(List).

  Parameters:
    `statements` - the list of statements that has been removed.

### addedStatements

    void addedStatements(StmtIterator statements)

  Method to call when a statement iterator has supplied elements to be added to the attached model. `statements` is a copy of the original iterator.

  Parameters:
    `statements` -

### addedStatements

    void addedStatements(Model m)

  Method to call when a model has been used to define the statements to be added to our attached model.

  Parameters:
    `m` - a model equivalent to [and sharing with] the added model

### removedStatement

    void removedStatement(Statement s)

  Method to call when a single statement has been removed from the attached model.

  Parameters:
    `s` - the statement that has been presented for removal.

### removedStatements

    void removedStatements(Statement[] statements)

  Method to call when an array of statements has been removed from the attached model. NOTE. This array need not be == to the array added using Model::remove(Statement[]).

  Parameters:
    `statements` - the array of removed statements

### removedStatements

    void removedStatements(java.util.List statements)

  Method to call when a list of statements has been deleted from the attached model. NOTE. This list need not be == to the list added using Model::remov(List).

  Parameters:
    `statements` - the list of statements that have been removed.

### removedStatements

    void removedStatements(StmtIterator statements)

  Method to call when a statement iterator has been used to remove statements from the attached model. The iterator will be a copy, in the correct order, of the iterator supplied for the removal.

  Parameters:
    `statements` - a statement-type copy of the updating iterator

### removedStatements

    void removedStatements(Model m)

  Method to call when a model has been used to remove statements from our attached model.

  Parameters:
    `m` - a model equivalent to [and sharing with] the one removed

### notifyEvent

    void notifyEvent(Model m,
                     java.lang.Object event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP